Run in Apifox
Item Value API Status Recommended Current Version v2.0 Backward Compatibility Yes Applicable Environment Production Applicable User Roles PSP and Direct Client Type Webhook (Incoming)
Description To notify fiat deposit status.This is a webhook endpoint that must be implemented by the recipient to receive these notifications.Important : You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.
Request Body Params application/json
{
"eventType" : "string" ,
"notificationId" : "string" ,
"data" : {
"fiatDepositId" : "string" ,
"participantCode" : "string" ,
"currency" : "string" ,
"amount" : "string" ,
"receivingAccount" : "string" ,
"payerName" : "string" ,
"payerBankSwiftCode" : "string" ,
"sourceAccount" : "string" ,
"status" : 1 ,
"statusInfo" : "string" ,
"paymentReference" : "string" ,
"createdAt" : 0
}
} Request Code Samples
curl --location --request POST 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data-raw '{
"eventType": "string",
"notificationId": "string",
"data": {
"fiatDepositId": "string",
"participantCode": "string",
"currency": "string",
"amount": "string",
"receivingAccount": "string",
"payerName": "string",
"payerBankSwiftCode": "string",
"sourceAccount": "string",
"status": 1,
"statusInfo": "string",
"paymentReference": "string",
"createdAt": 0
}
}' Responses application/json Generate Code
Modified at 2026-04-02 07:29:29